Rated 5 out of 5 stars

Sorry folks, but it DOES work with FF5. I'll repeat: this wonderful add-on DOES work with FF5. With very little research (ie went to support page-duh) and found a simple solution.

https://addons.mozilla.org/en-US/firefox/addon/add-on-compatibility-reporter/?src=api

* You should have the add-on-compatibility "add-on" installed anyway. I think an apology is due the TinEye guys. Lets be fair.